Kerbal Space Program - Bug #28137

Default Mission Flag's texture on Mk1-3 Command Pod is warped and bolded and is unrecognizable
07/01/2021 03:30 AM - Dr.Kerbal

Status: Confirmed Start date: 07/01/2021
Severity: Low % Done: 10%
Assignee:
Category: Parts
Target version:
Version: 1.12.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description
English:

The default flag/mission flag on the Mk1-3 Command Pod is warped and bolded to extreme level that it is unruinable. | am not sure
what happened but when ever dragging the part in this happens. This happens in the VAB and SPH, and stays like this during the
entire duration of the flight. This bug still happens in saves made in 1.12 and 1.12.0. | have aloes provided some imaginary of this
bug. Note, this happens in the stock game and with mods.

This big will not fix itself even with a restart. Please fix this! Please!

History

#1 - 07/01/2021 03:56 AM - Dr.Kerbal

No part mods where ever used.

#2 - 07/01/2021 05:56 AM - Dr.Kerbal

This happens in saves (for me) from pre 1.11 and after 1.12 made saves.

#4 - 07/02/2021 02:59 AM - Dr.Kerbal

More information will be provided, such as this craft file. The save. And etc.

#5 - 07/06/2021 08:35 PM - Manwith_Noname

The default flag/mission flag on the Mk1-3 Command Pod is warped and bolded to extreme level that it is unruinable. | am not sure what
happened but when ever dragging the part in this happens.

The shader assigned to the "Flag" mesh doesn't support transparency / alpha layers. It used to be set for "KSP/Alpha/Cutoff", for some reason the
model file was altered and now the mesh has a Material with "No Name" and the shader is listed as "Standard".

#6 - 07/08/2021 08:57 PM - Dr.Kerbal
Manwith_Noname wrote:
The default flag/mission flag on the Mk1-3 Command Pod is warped and bolded to extreme level that it is unruinable. | am not sure what

happened but when ever dragging the part in this happens.

The shader assigned to the "Flag" mesh doesn't support transparency / alpha layers. It used to be set for "KSP/Alpha/Cutoff", for some reason
the model file was altered and now the mesh has a Material with "No Name" and the shader is listed as "Standard".

IS this why this bug exists? Because of a transcperacy and shading error?
#7 - 07/09/2021 03:31 PM - Manwith_Noname

Yes. I've analysed the files and can see what | have described. This should save someone at Squad the time of "finding the problem" and allow them
to quicker take the needed action to correct it.
#8 - 07/13/2021 03:46 AM - Dr.Kerbal

Manwith_Noname wrote:

Yes. I've analysed the files and can see what | have described. This should save someone at Squad the time of "finding the problem" and allow

them to quicker take the needed action to correct it.

How would you fix this?

#9 - 07/13/2021 03:59 PM - Technicalfool
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Being worked on. Thanks for the reports!

#10 - 08/02/2021 12:47 AM - Dr.Kerbal

Technicalfool wrote:

Being worked on. Thanks for the reports!

Thanks for noticing this! :)
